Coin Supply Breakdown by ID
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/coins/{id}/supply_breakdown \
--header 'x-cg-pro-api-key: <api-key>'{
"id": "uniswap",
"symbol": "uni",
"name": "Uniswap",
"supply_data": {
"total_supply": 894182420.0329479,
"circulating_supply": 622047561.5538775,
"outstanding_supply": 0,
"non_circulating_supply": 272134858.4790704,
"last_updated": "2026-06-15T04:23:07.552Z"
},
"non_circulating_wallets": [
{
"address": "0x1a9C8182C09F50C8318d769245beA52c32BE35BC",
"label": "UNI Timelock",
"balance": 272134858.4790704,
"percentage_of_total_supply": 30.4329777849204,
"anomaly": false,
"last_updated": "2026-06-14T12:10:34.565Z"
}
]
}Coins
Coin Supply Breakdown by ID
To query the supply breakdown of a coin based on provided coin ID
GET
/
coins
/
{id}
/
supply_breakdown
Coin Supply Breakdown by ID
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/coins/{id}/supply_breakdown \
--header 'x-cg-pro-api-key: <api-key>'{
"id": "uniswap",
"symbol": "uni",
"name": "Uniswap",
"supply_data": {
"total_supply": 894182420.0329479,
"circulating_supply": 622047561.5538775,
"outstanding_supply": 0,
"non_circulating_supply": 272134858.4790704,
"last_updated": "2026-06-15T04:23:07.552Z"
},
"non_circulating_wallets": [
{
"address": "0x1a9C8182C09F50C8318d769245beA52c32BE35BC",
"label": "UNI Timelock",
"balance": 272134858.4790704,
"percentage_of_total_supply": 30.4329777849204,
"anomaly": false,
"last_updated": "2026-06-14T12:10:34.565Z"
}
]
}Notes
- Find a coinโs API ID on its CoinGecko page, via Coins List, or this Google Sheet.
- Check the
has_supply_breakdownfield from /coins/ to verify if supply breakdown data is available for a coin. - When
non_circulating_wallets.anomalyistrue, it indicates an unreliable balance update. Circulating supply calculations will fall back to the last known-good balance until manually reviewed.
Authorizations
headerAuthqueryAuth
Learn how to set up your API key
Path Parameters
Coin ID.
*refers to /coins/list.
Response
200 - application/json
Coin supply breakdown data
Was this page helpful?
โI

